this.name        = "Ship Class Equip"; 
this.author      = "Stranger"; 
this.copyright   = "2015 Stranger";
this.licence     = "CC BY-NC-SA 4.0"; 
this.description = "Script to facilitate equipment availability by determining ship class"; 
this.version     = "1.0";

// inspired and partly based on Redspear Equipment by Ship Class OXZ
// classify player ship type upon starting game and install base equipment if not already present.
this.startUp = this.playerBoughtNewShip = function()
{
	//hull size based on mass instead of cargo capacity
	if (player.ship.mass > 100000)
        {
        player.ship.awardEquipment("EQ_LARGE_HULL");
        player.ship.extraCargo = 15;
        player.ship.injectorSpeedFactor = 5;
        player.ship.maxAftShield = player.ship.maxForwardShield;
        }		
    else 
        {
        if (player.ship.mass > 50000)
            {
            player.ship.awardEquipment("EQ_MEDIUM_HULL");
            player.ship.extraCargo = 7;
            player.ship.injectorSpeedFactor = 6;
            player.ship.maxAftShield = 0.75 * player.ship.maxForwardShield;
            }
        else
            {
            player.ship.awardEquipment("EQ_SMALL_HULL");
            player.ship.extraCargo = 3;
            player.ship.injectorSpeedFactor = 7;
            player.ship.maxAftShield = 0.5 * player.ship.maxForwardShield;
            }
		}


	//engine efficiency based on max speed
	if (player.ship.maxSpeed > 350)
        {
		player.ship.injectorBurnRate = 0.20;
		player.ship.fuelChargeRate = 2.0;
		player.ship.renovationMultiplier = 1.25;
        }
	else
        {
        if (player.ship.maxSpeed > 275)
            {
            player.ship.injectorBurnRate = 0.25;
            player.ship.fuelChargeRate = 1.0;
            player.ship.renovationMultiplier = 1.0;
            }
        else
            {
            player.ship.injectorBurnRate = 0.30;
            player.ship.fuelChargeRate = 0.5;
            player.ship.renovationMultiplier = 0.75;
            }
        }

	if (player.ship.energyRechargeRate > 3.5)
        {
		player.ship.hyperspaceSpinTime = 15;
        }
	else
        {
        if (player.ship.energyRechargeRate > 2.5)
            {
            player.ship.hyperspaceSpinTime = 20;
            }
        else
            {
            player.ship.hyperspaceSpinTime = 25;
            }
        }
}

	//effects due to having fuel scoops installed/damaged
this.equipmentDestroyed = this.equipmentDamaged = function(equipment)
    {
	if (equipment === "EQ_FUEL_SCOOPS")
        {
		player.ship.injectorBurnRate += 0.05;		
        }
	if (equipment === "EQ_ADVANCED_NAVIGATIONAL_ARRAY")
		{
        player.ship.hyperspaceSpinTime += 5;
        }	
    }

this.equipmentRepaired = this.equipmentAdded = function(equipment)
    {
	if (equipment === "EQ_FUEL_SCOOPS")
        {
		player.ship.injectorBurnRate -= 0.05;	
        }
	if (equipment === "EQ_ADVANCED_NAVIGATIONAL_ARRAY")
		{
        player.ship.hyperspaceSpinTime -= 5;
        }	
    }